#
# File: cbak\client\client.mk
# Makefile for the 'cbak' client program
# This makefile runs in the following environment:
#	NetWare RPC 1.0, NetWare 2.1 or higher, DOS 3.3
#

COMMON=..\common
CC=cl
MODEL=S
MLIB=C_LIBS
CFLAGS=/A$(MODEL) /Od
LFLAGS=/SE:256 /STACK:0X1000
RPCC=rpcc
NOBJS=
IOBJS=..\cbak\client\cbak_i.obj ..\cbak\client\cbak_c_i.obj
LIBS=$(MODEL)rpc $(MODEL)nwspx
INCS= /I..\cbak\client
RINCS=/I..\cbak\common

cbak.h: $(COMMON)\cbak.rpc ..\cbak\common\cbak_i.rpc
	$(RPCC) $(RINCS) /c $(COMMON)\cbak.rpc /o cstubs.c

cbak_c.h: $(COMMON)\cbak_c.rpc ..\cbak\common\cbak_c_i.rpc
	$(RPCC) $(RINCS) /s $(COMMON)\cbak_c.rpc /o sstubs.c

cstubs.c: $(COMMON)\cbak.rpc ..\cbak\common\cbak_i.rpc
	$(RPCC) $(RINCS) /c $(COMMON)\cbak.rpc /o cstubs.c

sstubs.c: $(COMMON)\cbak_c.rpc ..\cbak\common\cbak_c_i.rpc
	$(RPCC) $(RINCS) /s $(COMMON)\cbak_c.rpc /o sstubs.c

cstubs.obj: cstubs.c cbak.h
	$(CC) $(CFLAGS) /c $(INCS) cstubs.c

sstubs.obj: sstubs.c cbak_c.h
	$(CC) $(CFLAGS) /c $(INCS) sstubs.c

client.obj: client.c cbak.h
	$(CC) $(CFLAGS) /c $(INCS) client.c

client.exe: client.obj cstubs.obj sstubs.obj $(IOBJS)
# Create the response file for the linker
	echo client.obj cstubs.obj sstubs.obj + >client.lnk
	echo $(IOBJS) $(NOBJS)  >>client.lnk
	echo client.exe  >>client.lnk
	echo $(LFLAGS)  >>client.lnk
	echo $(LIBS) >>client.lnk 
	link @client.lnk
	erase client.lnk
